<?php
/**
 * Created by PhpStorm.
 * usuario: Joseg
 * Date: 27/4/2018
 * Time: 7:48 PM
 */

include '../comun/conexionLogin.php';

$usuario = R::dispense('usuario');
$usuario->correo = 'admin@gmail.com';
$usuario->clave = 'pass';
$usuario->nombre = 'Jose';
$usuario->apellido = 'Ortiz';
$usuario->direccion = 'Carr. 32 entre 18 y 20 edificio arca 24';
$usuario->telefono = '00584126748033';
$usuario->fechaRegistro = date('Y-m-d H:i:s');
$usuario->fechaModificacion = date('Y-m-d H:i:s');
$usuario->rolId = '1';
$usuario->tipoUsuario = '1';
$usuario->condominioId = '1';

$id = R::store($usuario);

if (isset($_REQUEST['correo']) && isset($_REQUEST['clave']) && isset($_REQUEST['nombre']) && isset($_REQUEST['apellido']) && isset($_REQUEST['direccion']) && isset($_REQUEST['telefono']) && isset($_REQUEST['rolId'])&& isset($_REQUEST['tipoUsuario'])&& isset($_REQUEST['condominioId'])) {
    $usuario = R::dispense('usuario');
    $usuario->correo = $_REQUEST['correo'];
    $usuario->clave = $_REQUEST['clave'];
    $usuario->nombre = $_REQUEST['nombre'];
    $usuario->apellido = $_REQUEST['apellido'];
    $usuario->direccion = $_REQUEST['direccion'];
    $usuario->telefono = $_REQUEST['telefono'];
    $usuario->fechaRegistro = date('Y-m-d H:i:s');
    $usuario->fechaModificacion = date('Y-m-d H:i:s');
    $usuario->rolId = $_REQUEST['rolId'];
    $usuario->tipoUsuario = $_REQUEST['tipoUsuario'];
    $usuario->condominioId = $_REQUEST['condominioId'];
    $id = R::store($usuario);
    include '../comun/mensajeCreado.php';
}else{
    include '../comun/mensajeFaltanCampos.php';
}